Spaces method and path for this operation:
get /s/{space_id}/api/data_views/default
Refer to Spaces for more information.
Retrieve the identifier of the default data view for the current Kibana space.
GET
/api/data_views/default
curl
curl \
-X GET "${KIBANA_URL}/api/data_views/default" \
-H "Authorization: ApiKey ${API_KEY}"
GET kbn://api/data_views/default
Response examples (200)
The identifier of the default data view for the current Kibana space.
{
"data_view_id": "ff959d40-b880-11e8-a6d9-e546fe2bba5f"
}
Response examples (400)
The request was rejected because the payload or query parameters are missing required fields or contain invalid values.
{
"error": "Bad Request",
"message": "[request body.data_view.title]: expected value of type [string] but got [undefined]",
"statusCode": 400
}